Loading...
Searching...
No Matches
Ui::CScreen Class Referenceabstract
Inheritance diagram for Ui::CScreen:
[legend]

## Public Member Functions

virtual void | CreateInterface ()=0
virtual bool | EventProcess (const Event &event)=0

## Protected Member Functions

void | CreateVersionDisplay ()
void | SetBackground (const std::string &filename, bool scaled=false)

## Protected Attributes

CRobotMain * | m_main
CInterface * | m_interface
CApplication * | m_app
CEventQueue * | m_eventQueue
Gfx::CEngine * | m_engine
CSoundInterface * | m_sound
const Math::Point | dim = Math::Point(32.0f/640.0f, 32.0f/480.0f)
const float | ox = 3.0f/640.0f
const float | oy = 3.0f/480.0f
const float | sx = (32.0f+2.0f)/640.0f
const float | sy = (32.0f+2.0f)/480.0f

The documentation for this class was generated from the following files:

- src/ui/screen/screen.h
- src/ui/screen/screen.cpp